Bug 1917117 - Common templates - disks screen: invalid disk name
Summary: Common templates - disks screen: invalid disk name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
: 1917208 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-17 11:20 UTC by Ruth Netser
Modified: 2021-02-24 15:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (58.36 KB, image/png)
2021-01-17 11:20 UTC, Ruth Netser
no flags Details
template disk tab (114.63 KB, image/png)
2021-01-22 01:44 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7880 0 None closed Bug 1917117: Template parameters are valid names 2021-01-28 11:24:23 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:54:18 UTC

Description Ruth Netser 2021-01-17 11:20:35 UTC
Created attachment 1748241 [details]
screenshot

Description of problem:
Any provided common template: as the disk contains a parameter, this is also shown in the UI with an error:
${NAME}
Disk name must start/end with alphanumberic character

Version-Release number of selected component (if applicable):
OCP 4.7.0-fc.2, CNV 2.6

How reproducible:
100%

Steps to Reproduce:
1. Virtualization -> Templates
2. Select a provided template (e.g RHEL 8)
3. Browse to the "Disks" tab

Actual results:
As the boot disk contains a parameter in the template, it is also show in the UI with an error:

${NAME}
Disk name must start/end with alphanumberic character

Expected results:
Mark it as placeholder (?) or any indication to the user that this is a parametrized value
In any case, an error should not be displayed

Additional info:
See attached screenshot

Comment 1 Guohua Ouyang 2021-01-18 06:52:58 UTC
*** Bug 1917208 has been marked as a duplicate of this bug. ***

Comment 2 Ruth Netser 2021-01-20 07:36:39 UTC
Same applies to template Details screen -> Boot Order -> "Show default boot disks"

Boot Order

No resource selected
VM will attempt to boot from disks by order of apearance in YAML file

    ${NAME} (Disk)
    cloudinitdisk (Disk)
    default (NIC)

Comment 4 Guohua Ouyang 2021-01-22 01:44:16 UTC
Created attachment 1749601 [details]
template disk tab

It shows like below now:

"${NAME}
template parameter"

Comment 5 Guohua Ouyang 2021-01-22 01:45:37 UTC
On boot disk order, it is:
${NAME} (Disk), template parameter
cloudinitdisk (Disk)
default (NIC)

Comment 6 Yaacov Zamir 2021-01-22 08:02:02 UTC
> Expected results:
> Mark it as placeholder (?) or any indication to the user that this is a parametrized value
> In any case, an error should not be displayed

it is now say "template parameter" to fix  - "indication to the user that this is a parametrized value" 
and it is not an error to fix              - "an error should not be displayed"

@Guohua hi, looks fixed to me, what am i missing here ?

Comment 7 Guohua Ouyang 2021-01-22 08:13:32 UTC
Looks I have misunderstand here, then it's fixed.

Comment 10 errata-xmlrpc 2021-02-24 15:53:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.